Bug Hunting Session
Bug 92658 - AutoCorrect does not replace end quote with smart quote when it is preceded by a field
Summary: AutoCorrect does not replace end quote with smart quote when it is preceded b...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2015-07-09 15:38 UTC by Frank
Modified: 2019-08-13 19:28 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test case - shows how fields hinder correct rendering of closing quotation marks (14.10 KB, application/vnd.oasis.opendocument.text)
2017-05-17 11:14 UTC, TeeLittle
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frank 2015-07-09 15:38:41 UTC
When "Localized Options" is checked to replace "straight quotes" with "curly quotes" this generally works well, but if the quotes are intended to wrap a cross-reference by typing [quote-cross_cross-reference-quote], the final straight quote will be converted to a second opening quotation mark rather than a closing one.

The obvious work-around is to enter the text as [quote-quote], and then move the cursor back between the two curly quotes to insert the cross reference.

The same behavior occurs with autocorrection of both single and double quotes. Refining this behavior would be a nice enhancement.

I'm using LibreOffice Writer Version:
4.4.4.0.0+ Build ID: 5c6f7f0920a91c974e9639f2c751582c8f140b2b
running on 64 bit Ubuntu 14.04.02 LTS
Comment 1 Gordo 2015-07-10 18:16:44 UTC
I can confirm.

Any field that precedes the end quote will result in the quote not being autocorrected. So if you type, excluding the outer quotes, ""This is a test", insert a footnote, and type the end quote, then the quote will not be autocorrected.

Windows Vista 64
Version: 4.4.4.3
Build ID: 2c39ebcf046445232b798108aa8a7e7d89552ea8

Tested back to 4.1.6.2.
Comment 2 TeeLittle 2017-05-17 11:14:06 UTC
Created attachment 133372 [details]
test case - shows how fields hinder correct rendering of closing quotation marks
Comment 3 TeeLittle 2017-05-17 11:14:48 UTC
Confirm: this bug still persists in LibO 5.3.3.2 (Win x64)
Comment 4 QA Administrators 2018-05-31 02:53:15 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug